package com.ho.business.mapper;

import com.ho.business.entity.DeviceType;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
* @author yule
* @description 针对表【device_type】的数据库操作Mapper
* @createDate 2022-08-31 11:06:40
* @Entity com.ho.business.entity.DeviceType
*/
@Mapper
public interface DeviceTypeMapper {

    int deleteByPrimaryKey(Integer id);

    int insert(DeviceType record);

    int insertSelective(Integer record);

    DeviceType selectByPrimaryKey(Integer id);

    DeviceType selectByPid(Integer pid);

    int updateByPrimaryKeySelective(DeviceType record);

    int updateByPrimaryKey(DeviceType record);

    List<DeviceType> selectAll();

    List<DeviceType> selectByIds(List<Integer> typeIds);

    List<DeviceType> selectByPids(Set<Integer> pIds);

    DeviceType getDeviceType(@Param("deviceTypeId") Integer deviceTypeId);


    DeviceType selectByDeviceType(String deviceType);

    List<DeviceType> selectName(List<String> deviceTypeList);

}
